﻿using System.IO;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Design;
using Microsoft.Extensions.Configuration;

namespace CodeManager.Data
{
    public class DesignTimeDbContextFactory : IDesignTimeDbContextFactory<SnippetContext>
    {
        public SnippetContext CreateDbContext(string[] args)
        {
            IConfigurationRoot configuration = new ConfigurationBuilder()
                .SetBasePath(Directory.GetCurrentDirectory())
                .AddJsonFile("appsettings.json")
                .Build();
            var builder = new DbContextOptionsBuilder();
            builder.UseSqlServer(configuration.GetConnectionString("SqlConnection"));

            return new SnippetContext(builder.Options);
        }
    }
}
