﻿using CodeManager.Entity;

using Microsoft.EntityFrameworkCore;

namespace CodeManager.Data
{
    public class SnippetContext : DbContext
    {
        public DbSet<Snippets> Snippets { get; set; }

        public DbSet<Declarations> Declarations { get; set; }

        public SnippetContext(DbContextOptions options) : base(options)
        {

        }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            optionsBuilder.UseLazyLoadingProxies();
            base.OnConfiguring(optionsBuilder);
        }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);

            modelBuilder.Entity<Snippets>(entity =>
            {
                entity.HasMany(s => s.Declarations)
                    .WithOne(d => d.Snippet)
                    .HasForeignKey(k => k.SnippetGuid);
            });
        }
    }
}
