﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace CodeManager.Entity
{
    /// <summary>
    /// 代码片段
    /// </summary>
    [Table("Snippet")]
    public class Snippets
    {
        [Key]
        [Required]
        [Column(TypeName = "varchar(50)")]
        public Guid Guid { get; set; }

        [Required]
        [Column(TypeName = "nvarchar(50)")]
        public string Title { get; set; }

        [Required]
        [Column(TypeName = "nvarchar(200)")]
        public string Shortcut { get; set; }

        [Required]
        [Column(TypeName = "nvarchar(max)")]
        public string Description { get; set; }

        [Required]
        [Column(TypeName = "nvarchar(50)")]
        public string Author { get; set; }

        [Required]
        [Column(TypeName = "varchar(max)")]
        public string Code { get; set; }

        [Required]
        [Column(TypeName = "varchar(max)")]
        public string Snippet { get; set; }


        public virtual IEnumerable<Declarations> Declarations { get; set; }

    }

    [Table("Declaration")]
    public class Declarations
    {
        [Key]
        [Required]
        [Column(TypeName = "varchar(50)")]
        public Guid Guid { get; set; }

        [Required]
        [Column(TypeName = "varchar(50)")]
        public string OldId { get; set; }

        [Required]
        [Column(TypeName = "varchar(50)")]
        public string Id { get; set; }

        [Required]
        [Column(TypeName = "nvarchar(200)")]
        public string Default { get; set; }

        [Required]
        [Column(TypeName = "nvarchar(max)")]
        public string ToolTip { get; set; }


        public virtual Snippets Snippet { get; set; }
        public virtual Guid SnippetGuid { get; set; }
    }
}
