﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace CodeManager.Migrations
{
    public partial class Init : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "Snippet",
                columns: table => new
                {
                    Guid = table.Column<string>(type: "varchar(50)", nullable: false),
                    Title = table.Column<string>(type: "nvarchar(50)", nullable: false),
                    Shortcut = table.Column<string>(type: "nvarchar(200)", nullable: false),
                    Description = table.Column<string>(type: "nvarchar(1000)", nullable: false),
                    Author = table.Column<string>(type: "nvarchar(50)", nullable: false),
                    Code = table.Column<string>(type: "varchar(200)", nullable: false),
                    Snippet = table.Column<string>(type: "varchar(1000)", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Snippet", x => x.Guid);
                });

            migrationBuilder.CreateTable(
                name: "Declaration",
                columns: table => new
                {
                    Guid = table.Column<string>(type: "varchar(50)", nullable: false),
                    OldId = table.Column<string>(type: "varchar(50)", nullable: false),
                    Id = table.Column<string>(type: "varchar(50)", nullable: false),
                    Default = table.Column<string>(type: "nvarchar(200)", nullable: false),
                    ToolTip = table.Column<string>(type: "nvarchar(200)", nullable: false),
                    SnippetGuid = table.Column<string>(type: "varchar(50)", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Declaration", x => x.Guid);
                    table.ForeignKey(
                        name: "FK_Declaration_Snippet_SnippetGuid",
                        column: x => x.SnippetGuid,
                        principalTable: "Snippet",
                        principalColumn: "Guid",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateIndex(
                name: "IX_Declaration_SnippetGuid",
                table: "Declaration",
                column: "SnippetGuid");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "Declaration");

            migrationBuilder.DropTable(
                name: "Snippet");
        }
    }
}
