﻿using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;

using CodeManager.Data;
using CodeManager.Entity;

namespace CodeManager.Service
{
    public class SnippetService : ISnippetService
    {
        private readonly SnippetContext _context;

        public SnippetService(SnippetContext context)
        {
            _context = context;
        }

        public List<Snippets> GetSnippets()
        {
            return _context.Snippets.ToList();
        }

        public List<Snippets> GetSnippets(string key)
        {
            return _context.Snippets.Where(x => x.Title.Contains(key) || x.Description.Contains(key)).ToList();
        }

        public void Save(Snippets snippet)
        {
            _context.Snippets.Add(snippet);

            _context.SaveChanges();
        }
    }
}
